"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
let FallbackLocalStorage = require('fallback-local-storage');
let appStorage;
if (FallbackLocalStorage.getStorage().includes('localStorage')) {
    appStorage = localStorage;
}
else {
    appStorage = new FallbackLocalStorage();
}
var LocalStorage;
(function (LocalStorage) {
    // Auto detect supported storage adapter (default behavior)
    let store = appStorage;
    /**
       * @param {String} key - a key for a stored object
       * @return {Object} a promise for the object at the given key
       */
    LocalStorage.getItem = (key) => {
        return new Promise((resolve, reject) => {
            let itemAsString = store.getItem(key);
            try {
                resolve(JSON.parse(itemAsString));
            }
            catch (e) {
                resolve(itemAsString);
            }
        });
    };
    /**
       * @param {String} key - a key for a stored object
       * @param {Object} value - the object to be stored
       * @return {Object} a promise for the object at the given key
       */
    LocalStorage.setItem = (key, value) => {
        return new Promise((resolve, reject) => {
            store.setItem(key, JSON.stringify(value));
            resolve(value);
        });
    };
})(LocalStorage = exports.LocalStorage || (exports.LocalStorage = {}));
//# sourceMappingURL=LocalStorage.js.map