import { ITransmuteFramework } from "../transmute-framework";
import { IFSACommand, IFSAEvent, IUnmarshalledEsCommand } from "./Utils/Common";
import * as Common from "./Utils/Common";
export declare class EventStore {
    framework: ITransmuteFramework;
    Common: typeof Common;
    constructor(framework: ITransmuteFramework);
    writeUnmarshalledEsCommand: (eventStore: any, fromAddress: string, esEvent: IUnmarshalledEsCommand) => Promise<Common.ITransaction>;
    readFSA: (eventStore: any, fromAddress: string, eventId: number) => Promise<IFSAEvent>;
    readEsEventValues: (eventStore: any, fromAddress: string, eventId: number) => Promise<any>;
    writeFSA: (eventStore: any, fromAddress: string, fsa: IFSACommand) => Promise<IFSAEvent>;
    /**
      * @param {TruffleContract} eventStore - a contract instance which is an Event Store
      * @param {Number} eventId - all events after this Id and includig it will be returned
      * @return {Promise<EsEvent[], Error>} json objects representing SOLIDITY_EVENTs
      */
    readFSAs: (eventStore: any, fromAddress: string, eventId?: number) => Promise<any[]>;
    /**
       * @param {TruffleContract} eventStore - a contract instance which is an Event Store
       * @param {Address} fromAddress - the address you wish to deploy these events from
       * @param {Array<ITransmuteCommand>} transmuteCommands - an array of FSA objects to be written to the chain
       * @return {Array<EventTypes.ITransmuteCommandResponse>} - an array of transmute command responses
       */
    writeFSAs: (eventStore: any, fromAddress: string, transmuteCommands: IFSACommand[]) => Promise<IFSAEvent[]>;
}
